[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomStringGrid.DrawTextInCell

Draws the text for the specified cell in a given drawing state.

## Declaration

Source position: grids.pas line 1780

`protected procedure TCustomStringGrid.DrawTextInCell(`
`aCol: Integer;`
`aRow: Integer;`
`aRect: TRect;`
`aState: TGridDrawState`
`); override;`

## Arguments

`aCol` |  | Column number for the cell.
`aRow` |  | Row number for the cell.
`aRect` |  | Rectangle with the bounds for the cell.
`aState` |  | Drawing state for the cell.

## Description

DrawTextInCell is a method used to draw the text for the cell specified in ACol and ARow. It calls the DrawCellText method using the specified arguments.

DrawTextInCell is called from the DefaultDrawCell method.

## See also

TCustomGrid.DrawTextInCell |  | Draws the text for a non-fixed cell in the grid.